Recent

Author Topic: Error installing ZEOSDBO  (Read 5202 times)

JanRoza

  • Hero Member
  • *****
  • Posts: 585
    • http://www.silentwings.nl
Error installing ZEOSDBO
« on: December 08, 2007, 09:23:53 pm »
Hi,

Normally I don't have too many problems with installing packages into Lazarus but ZEOSDBO beats me.
I tried to install ZEOSDBO-6.6.1-beta and during installation I get the following error message:

Quote

D:\Compilers\Lazarus\components\ZEOS\ZEOSDBO-6.6.1-beta\src\component\ZAbstractRODataset.pas(3006,89) Fatal: Syntax error, "," expected but ")" found


But looking at the code of ZAbstractRODataset.pas I don't see any error in it. What am I doing wrong?
Is it an option, is there an error in the code?

Code: [Select]

{$IFDEF FPC}
const
  BaseFieldTypes: array[TFieldType] of TFieldType = (
    ftUnknown, ftString, ftInteger, ftInteger, ftInteger, ftBoolean, ftFloat,
    ftFloat, ftBCD, ftDateTime, ftDateTime, ftDateTime, ftBytes, ftVarBytes,
    ftInteger, ftBlob, ftBlob, ftBlob, ftBlob, ftBlob, ftBlob, ftBlob, ftUnknown,
    ftString, ftString, ftLargeInt, ftADT, ftArray, ftReference, ftDataSet,
    ftBlob, ftBlob, ftVariant, ftInterface, ftInterface, ftString, ftTimeStamp, ftFMTBcd);

{$ELSE}
    ........


Can anyone help me with this install problem?
Thanks!

Jan Roza
OS: Windows 10 (64 bit) / Linux Mint (64 bit)
Laz: Lazarus 2.0.10 FPC 3.2.0
       CodeTyphon 7.2 FPC 3.3.1

onionsjk

  • New member
  • *
  • Posts: 6
Error installing ZEOSDBO- Solved
« Reply #1 on: December 09, 2007, 12:31:47 am »
Hello Jan,

I had the same problem and is solved as far as the installation is concern.
I couldn't give a test yet.   I am making a small wirte-up for installation test
but it will take a few days because I am running out of time.
I have tried 2-3 options and not quite sure which one is right yet, for that
I need to do a little work.

Here is a quick guide.

My system environment is :
O/S : Ubuntu Feisty
FPC : 2.2.0
Lazarus : 0.9.24
Language Set : Korean
ZEOSDBO : 6.6.1

I have deleted all the packages  including $HOME/.lazarus to start from brand new environment

Checking by synaptic, I can see many packages under the name "fp-*"
and some of them are checked or some of them are not.

I installed all of them.

I had difficulty to find "library path" menu in Lazarus, the closest one, I guess,
is "Project | Compiler Options | Library ".  
To that, I put "$HOME/component/packages/lazarus/build;$HOME/component/packages;"
ofcourse, $HOME to be replaced by yours.

Then "compile" all the *.lpk in order and "install".

Finally, I could see ZEOS tab on the menu pallet.

I hope this is useful to you.

selimr

  • New Member
  • *
  • Posts: 12
Error installing ZEOSDBO
« Reply #2 on: December 09, 2007, 07:42:42 pm »
Code: [Select]
const
  BaseFieldTypes: array[TFieldType] of TFieldType = (
    ftUnknown, ftString, ftInteger, ftInteger, ftInteger, ftBoolean, ftFloat,
    ftFloat, ftBCD, ftDateTime, ftDateTime, ftDateTime, ftBytes, ftVarBytes,
    ftInteger, ftBlob, ftBlob, ftBlob, ftBlob, ftBlob, ftBlob, ftBlob, ftUnknown,
    ftString, ftString, ftLargeInt, ftADT, ftArray, ftReference, ftDataSet,
    ftBlob, ftBlob, ftVariant, ftInterface, ftInterface, ftString, ftTimeStamp, ftFMTBcd);

{$ELSE}
    ........



also you have to write that code..


Code: [Select]

const
  BaseFieldTypes: array[TFieldType] of TFieldType = (
    ftUnknown, ftString, ftInteger, ftInteger, ftInteger, ftBoolean, ftFloat,
    ftFloat, ftBCD, ftDateTime, ftDateTime, ftDateTime, ftBytes, ftVarBytes,
    ftInteger, ftBlob, ftBlob, ftBlob, ftBlob, ftBlob, ftBlob, ftBlob, ftUnknown,
    ftString, ftString, ftLargeInt, ftADT, ftArray, ftReference, ftDataSet,
    ftBlob, ftBlob, ftVariant, ftInterface, ftInterface, ftString, ftTimeStamp, ftFMTBcd
    {$IFDEF VER2_2}, ftString, ftBlob{$ENDIF});



JanRoza

  • Hero Member
  • *****
  • Posts: 585
    • http://www.silentwings.nl
Error installing ZEOSDBO
« Reply #3 on: December 09, 2007, 11:38:15 pm »
Thank you Selimr, your suggestion did the trick.
I doubt if I would ever have found this solution by myself.
Apparently FPC 2.2 has some real cosequences for a number of components which are not well known to Lazarus users.
Well, we learn something every day!

Thanks again.

 :D
Jan
OS: Windows 10 (64 bit) / Linux Mint (64 bit)
Laz: Lazarus 2.0.10 FPC 3.2.0
       CodeTyphon 7.2 FPC 3.3.1

piper62

  • New Member
  • *
  • Posts: 41
Error installing ZEOSDBO
« Reply #4 on: December 13, 2007, 01:50:35 am »
Hi,

I strongly recommend to look at the ZeosLib forum ( http://zeos.firmos.at/portal.php ) and to take the latest trunk version of the ZeosLib if you want to work with FPC 2.2 and Lazarus 0.9.24.
I installed and compiled with that packages without problems on Kubuntu 7.10.

Regards,
Tibor

JanRoza

  • Hero Member
  • *****
  • Posts: 585
    • http://www.silentwings.nl
Error installing ZEOSDBO
« Reply #5 on: December 13, 2007, 08:34:16 am »
Thanks for the tip, that was the version I used for the install. Works great now (using Windows Vista).
 :D
OS: Windows 10 (64 bit) / Linux Mint (64 bit)
Laz: Lazarus 2.0.10 FPC 3.2.0
       CodeTyphon 7.2 FPC 3.3.1

 

TinyPortal © 2005-2018